.\"	$NetBSD: sesd.8,v 1.5 2009/04/08 13:41:54 joerg Exp $
.\"	$OpenBSD: $
.\"	$FreeBSD: $
.\"
.\" Copyright (c) 2000 Matthew Jacob
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions, and the following disclaimer,
.\"    without modification, immediately at the beginning of the file.
.\" 2. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" Alternatively, this software may be distributed under the terms of the
.\" the GNU Public License ("GPL").
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR
.\" ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" Matthew Jacob
.\" Feral Software
.\" mjacob@feral.com
.Dd February 21, 2000
.Dt SESD 8
.Os
.Sh NAME
.Nm sesd
.Nd monitor SCSI Environmental Services Devices
.Sh SYNOPSIS
.Nm
.Op Fl d
.Op Fl t Ar poll-interval
.Ar device
.Op Ar device ...
.Sh DESCRIPTION
.Nm
monitors SCSI Environmental Services (or SAF-TE) devices for changes
in state and logs such changes changes to the system error logger
(see
.Xr syslogd 8 ) .
At least one device must be specified.
When no other options are supplied,
.Nm
detaches and becomes a daemon, by default waking up every 30 seconds to
poll each device for a change in state.
.Pp
The following options may be used:
.Bl -tag -width Ds
.It Fl d
Instead of detaching and becoming a daemon, stay attached to the
controlling terminal and log changes there as well as via the system
logger.
.It Fl p Ar poll-interval
Change the interval of polling from the default 30 seconds to the number
of seconds specified.
.El
.Pp
The user may then use
.Xr getencstat 8
to get more detailed information about the state of the over enclosure device
or objects within the enclosure device.
.Sh FILES
.Bl -tag -width /dev/sesN -compact
.It Pa /dev/ses Ns Ar N
SCSI Environmental Services Devices
.El
.Sh SEE ALSO
.Xr ses 4 ,
.Xr getencstat 8 ,
.Xr setencstat 8 ,
.Xr setobjstat 8 ,
.Xr syslogd 8
.Sh BUGS
This is something of a toy, but it is better than nothing.
